import request from '@/utils/request'

// 查询报警阈值列表
export function listPitThreshold(query) {
  return request({
    url: '/device/pitThreshold/list',
    method: 'get',
    params: query
  })
}

// 查询报警阈值详细
export function getPitThreshold(id) {
  return request({
    url: '/device/pitThreshold/' + id,
    method: 'get'
  })
}

// 新增报警阈值
export function addPitThreshold(data) {
  return request({
    url: '/device/pitThreshold',
    method: 'post',
    data: data
  })
}

// 修改报警阈值
export function updatePitThreshold(data) {
  return request({
    url: '/device/pitThreshold',
    method: 'put',
    data: data
  })
}

// 删除报警阈值
export function delPitThreshold(id) {
  return request({
    url: '/device/pitThreshold/' + id,
    method: 'delete'
  })
}
